org.apache.sysds.runtime.functionobjects

## Enum ParameterizedBuiltin.ParameterizedBuiltinCode

- java.lang.Object
- - java.lang.Enum<ParameterizedBuiltin.ParameterizedBuiltinCode>
  - - org.apache.sysds.runtime.functionobjects.ParameterizedBuiltin.ParameterizedBuiltinCode

All Implemented Interfaces:
  Serializable, Comparable<ParameterizedBuiltin.ParameterizedBuiltinCode>

Enclosing class:
  ParameterizedBuiltin

    public static enum ParameterizedBuiltin.ParameterizedBuiltinCode
    extends Enum<ParameterizedBuiltin.ParameterizedBuiltinCode>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AUTODIFF`
`CDF`
`INVCDF`
`LOWER_TRI`
`PARAMSERV`
`REPLACE`
`REXPAND`
`RMEMPTY`
`TOKENIZE`
`TRANSFORMAPPLY`
`TRANSFORMDECODE`
`UPPER_TRI`

### Method Summary

All Methods Static Methods Concrete Methods
`static ParameterizedBuiltin.ParameterizedBuiltinCode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ParameterizedBuiltin.ParameterizedBuiltinCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AUTODIFF

    public static final ParameterizedBuiltin.ParameterizedBuiltinCode AUTODIFF

#### CDF

    public static final ParameterizedBuiltin.ParameterizedBuiltinCode CDF

#### INVCDF

    public static final ParameterizedBuiltin.ParameterizedBuiltinCode INVCDF

#### RMEMPTY

    public static final ParameterizedBuiltin.ParameterizedBuiltinCode RMEMPTY

#### REPLACE

    public static final ParameterizedBuiltin.ParameterizedBuiltinCode REPLACE

#### REXPAND

    public static final ParameterizedBuiltin.ParameterizedBuiltinCode REXPAND

#### LOWER_TRI

    public static final ParameterizedBuiltin.ParameterizedBuiltinCode LOWER_TRI

#### UPPER_TRI

    public static final ParameterizedBuiltin.ParameterizedBuiltinCode UPPER_TRI

#### TOKENIZE

    public static final ParameterizedBuiltin.ParameterizedBuiltinCode TOKENIZE

#### TRANSFORMAPPLY

    public static final ParameterizedBuiltin.ParameterizedBuiltinCode TRANSFORMAPPLY

#### TRANSFORMDECODE

    public static final ParameterizedBuiltin.ParameterizedBuiltinCode TRANSFORMDECODE

#### PARAMSERV

    public static final ParameterizedBuiltin.ParameterizedBuiltinCode PARAMSERV

### Method Detail

#### values

    public static ParameterizedBuiltin.ParameterizedBuiltinCode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ParameterizedBuiltin.ParameterizedBuiltinCode c : ParameterizedBuiltin.ParameterizedBuiltinCode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ParameterizedBuiltin.ParameterizedBuiltinCode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null